<%@ page contentType="text/html; charset=Shift_JIS" %>
<%@ page pageEncoding="Shift_JIS"%>
<%@ taglib prefix="c" uri="/WEB-INF/tlds/c.tld" %>
<%-- <%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %> --%>
<%@ page import="jp.co.orangesoft.xgate.addressbook.AddressBookEntry" %>
<%@ page import="jp.co.orangesoft.xgate.util.MobilePhoneAccessKey" %>
<%@ page import="jp.co.orangesoft.mime.Charset" %>
<jsp:useBean id="htmltool" class="jp.co.orangesoft.xgate.util.HtmlTool"/>
<%
	// AhXGg̕\
	String servlet = (String)request.getAttribute("servlet");
	String term = (String)request.getAttribute("term");
	java.util.Locale locale = (java.util.Locale)request.getAttribute("lang");
	String charset = "Shift_JIS";
	int lang = locale.equals(java.util.Locale.JAPANESE) ? 0 : 1;

	AddressBookEntry entry = (AddressBookEntry)request.getAttribute("entry");

	String email = htmltool.format(entry.getMailAddress());
	if(email == null) email = "";
	
	String nickname = entry.getNickName();
    nickname = Charset.MS932.toDisplayabletString(nickname);
	nickname = new String(nickname.getBytes("MS932"), "Shift_JIS");

	if(nickname == null) nickname = "";
	
	String errmsg = htmltool.format(request.getAttribute("errmsg"));
	if(errmsg == null) errmsg = "";
	if(errmsg.length() > 0) errmsg += "<br>";
	
	String entryID = htmltool.format(request.getAttribute("id"));
	if(entryID == null) entryID = "";

	String kana = htmltool.format(entry.hasKana() ? entry.getKana():"");
	if(kana == null) kana = "";
	
	String address = htmltool.format(entry.getAddress());
	if(address == null) address = "";

	String phone = htmltool.format(entry.getPhone());
	if(phone == null) phone = "";

//	String acmd = (String)request.getAttribute("acmd");
//	if(acmd == null) acmd = "";

// e[u
	String[] title = {"ڽڍ", "AddressBook"};
	String[] nicknameTitle = {"ƯȰ", "Nickname"};
	String[] mailTitle = {"e-mail", "e-mail"};
	String[] phoneTitle = {"db", "phone"};
	String[] kanaTitle = {"ض", "Kana"};
	String[] addressTitle = {"Z", "Address"};
	String[] deleteTitle = {"폜", "Delete"};
	String[] backTitle = {"߂", "Back"};

%>

<%-- ==================================================================================== --%>
<c:choose>

<%-- ==================================================================================== --%>
<c:when test="${term == 'imode' || term == 'astel' || term == 'jphone' || term == 'jsky' || term == 'wml' || term == 'wml_nokia' || term == 'willcom'}">

<% response.setContentType("text/html;charset="+charset); %>

<html>
<body>
<%=title[lang]%>
<hr>
<dl>
<dt><%=nicknameTitle[lang]%>
<dd><%=nickname%>
<dt><%=kanaTitle[lang]%>
<dd><%=kana%>
<dt><%=mailTitle[lang]%>
<dd><%=email%>
<dt><%=addressTitle[lang]%>
<dd><%=address%>
<dt><%=phoneTitle[lang]%>
<dd><%=phone%>
</dl>
<a href="<%=servlet%>?cmd=RAC&id=<%=entryID%>"><%=deleteTitle[lang]%></a><br>
<a href="<%=servlet%>?cmd=SAL"><%=backTitle[lang]%></a>
</body>
</html>

</c:when>

<%-- ==================================================================================== --%>
<c:when test="${term == 'hdml'}">

<% response.setContentType("text/x-hdml;charset="+charset); %>

<HDML VERSION="3.0" TTL=0>
  <DISPLAY NAME="item">
    <ACTION TYPE=SOFT1 LABEL="<%=backTitle[lang]%>" TASK="GO" DEST="<%=servlet%>?cmd=SAL">
    <%=title[lang]%><BR>
    <%=nicknameTitle[lang]%>:<LINE>[<%=nickname%>]<BR>
    <%=kanaTitle[lang]%>:<LINE>[<%=kana%>]<BR>
    <%=mailTitle[lang]%>:<LINE><%=email%><BR>
    <%=addressTitle[lang]%>:<LINE><%=address%><BR>
    <%=phoneTitle[lang]%>:<LINE><%=phone%><BR>
    <A TASK="GOSUB" LABEL="Delete" DEST="<%=servlet%>?cmd=RAC&id=<%=entryID%>"><%=deleteTitle[lang]%></A><BR>
  </DISPLAY>
</HDML>

</c:when>

<%-- ==================================================================================== --%>
<c:when test="${term == 'pc'}">
	<% response.setContentType("text/html;charset="+charset); %>

</c:when>

<%-- ==================================================================================== --%>
<c:when test="${term == 'palm'}">
	<% response.setContentType("text/html;charset="+charset); %>

<html>
<head>
<meta name="viewport" content="width=device-width">
</head>
<body bgcolor="#CCFFFF">
<%=title[lang]%>
<hr>
<dl>
<dt><%=nicknameTitle[lang]%>
<dd><%=nickname%>
<dt><%=kanaTitle[lang]%>
<dd><%=kana%>
<dt><%=mailTitle[lang]%>
<dd><%=email%>
<dt><%=addressTitle[lang]%>
<dd><%=address%>
<dt><%=phoneTitle[lang]%>
<dd><%=phone%>
</dl>
<a href="<%=servlet%>?cmd=RAC&id=<%=entryID%>"><%=deleteTitle[lang]%></a><br>
<a href="<%=servlet%>?cmd=SAL"><%=backTitle[lang]%></a>
</body>
</html>
</c:when>

<%-- ==================================================================================== --%>
<c:otherwise>
	
</c:otherwise>

<%-- ==================================================================================== --%>
</c:choose>

<!-- Copyright (c) 2000,2001 Orangesoft Inc. All Rights Reserved. -->
